Forum des NAS

Tous les fabricants de NAS réunis sur un forum unique : Asustor, Qnap, Synology...

BitTorrent Sync, KODI, IPKG, NZBGet, pyLoad...

Modérateur : QoolBox

Avatar de l’utilisateur
par QoolBox
#69581
x31 c'est une bonne galère ... pour cross compiler..

le système de firmware est basé sur un toolchain DD-WRT ... donc pas un standard Ubuntu standard comme le serait la gamme arm-x41 (x31+, x28, x31P ...)
il manque des librairies et surtout de liens symbolique (j'ai déjà remonté le soucis dans un ticket, mais a mon avis cela ne sera pas corrigé)
#70329
Hi all,
I'm having some issues getting a version of mono > 3.10 to run on my nas, it is a bit older TS-559 Pro+. I keep getting an error pointing issues with the libm.so.6 architecture.

When Qmono "Qmono_5.14.0.177_x86_64.qpkg" is installed, it will not run.
[~] # /opt/Qmono/bin/mono --version
/opt/Qmono/bin/mono: error while loading shared libraries: libm.so.6: wrong ELF class: ELFCLASS32
[~] # /share/MD0_DATA/.qpkg/Qmono/Qmono.sh start
/share/MD0_DATA/.qpkg/Qmono/Qmono.sh: line 24: /usr/share/.mono: is a directory
/opt/Qmono/bin/mono: error while loading shared libraries: libm.so.6: wrong ELF class: ELFCLASS32

When "Qmono_3.10.0.0_x86.qpkg" is installed it runs fine.
[~] # /opt/Qmono/bin/mono --version
Mono JIT compiler version 3.10.0 (tarball Fri Apr 24 14:18:37 EDT 2015)
Copyright (C) 2002-2014 Novell, Inc, Xamarin Inc and Contributors. www.mono-project.com
TLS: __thread
SIGSEGV: altstack
Notifications: epoll
Architecture: x86
Disabled: none
Misc: softdebug
LLVM: supported, not enabled.
GC: sgen

[~] # uname -a
Linux NAS 3.4.6 #1 SMP Fri Oct 26 12:47:07 CST 2018 x86_64 unknown

I can see a few people have run into this, I've done a ton of googling but am stumped on this one.
Any ideas? :-D
Avatar de l’utilisateur
par Tosh
#73245
Salut Stéphane,

L'App Center me propose la mise à jour de Qmono.
La version actuelle installée est la 5.14.0.177, il me propose donc de passer sur la version 5.18.0.240.
Le problème c'est que lorsque j'essaie de faire cette mise à jour, le message d'erreur suivant apparaît :

App Installation [App Center] Failed to install Qmono. Model does not support Qmono.

Je dois m'inquiéter ou pas ?

Merci
#74370
QoolBox a écrit : 04 févr. 2019 23:19 "still searching for a solution for old armv5 and old x86 - 32bits NAS"

Contact me in PM to arrange skype connection And I can try to help you with that. I Already have Node.js 8.13.1 installed manually.

EDIT: I am half way thru compiling Mono from github, it fails in "autogen.sh" when tries to cross-compile and I really want to compile only x86. Can you help?

  • 1
  • 8
  • 9
  • 10
  • 11
  • 12

En effet c'était ça mon erreur ... […]

Cadenas en https

C'est good c'était le nav qui à d&uc[…]

Netgear ReadyNAS 212 2 baies Serveur de stockage […]

En faite, tu peut activer ou non le versioning. […]

Site hébergé sur un serveur IKOULA

Ikoula